Välkommen till Feature Definition Manager

Välkommen till onlinehjälpen för objektdefinitionshanteraren, Feature Definition Manager, ett programvaruverktyg med vars hjälp du skapar och hanterar objektdefinitioner (egenskaper) som sedan lätt kan överföras till fältenheter så att mättekniker kan lägga till dem i objekt som de hittar på fältet. Kontorsprogrammet för mätbearbetning kan sedan användas för att bearbeta objekten tillsammans med andra mätdata och exportera dem till andra system (exempelvis CAD-paket).

Beskrivning av Feature Definition Manager

"Objekt" är naturliga och tillverkade objekt som mätteknikerna kan observera och registrera medan de samlar in data. Det kan vara träd, staket, grindar, skyltar, telefonstolpar och byggnader. Mättekniker kan enkelt och effektivt registrera objektinformation för observerade objekt med hjälp av fältenhetens bibliotek med fördefinierade objekt, som kallas "objektdefinitioner", och ge objektet rätt definitions unika objektkod. På detta sätt kan alla objektdefinitionens egenskaper kopplas till objektet (exempelvis objektets namn och kod, symbolen som representerar objektet i grafiska programvyer, och övriga anpassade attribut).

Det finns två grundtyper av objekt, var och en representerad av en särskild typ av objektdefinition:

  • Ett punktobjekt används för att identifiera ett enstaka objekt, till exempel ett träd eller en telefonstolpe. En punktobjektsdefinition visas med ikonen [image] i fönstret Utforskaren.
  • Ett linjeobjekt består av två eller flera punkter som utgör en linje, till exempel ett staket eller en väg. En linjeobjektsdefinition visas med ikonen [image] i fönstret Utforskaren. Linjeobjekt kan även innehålla linjekontrollkoder som används för att ytterligare definiera linjeobjekt (exempelvis lägga till linjer, kurvor och bågar mellan punkter).

Närliggande information

Arbetsflöde för Feature Definition Manager

Beskrivning av gränssnittet


Arbetsflöde för Feature Definition Manager

Följande steg ger ett avancerat arbetsflöde för Feature Definition Manager. Klicka på en länk om du vill ha mer information.

  1. Öppna eller skapa en objektdefinitionsfil (.fxl) eller ladda ned och importera objektdefinitionsdata.
  2. Ange och redigera egenskaper för objektdefinitionsfiler (.fxl).
  3. Skapa och redigera objektdefinitionskategorier.
  4. Skapa och redigera objektdefinitioner.
  5. Skapa och redigera symboler för objektdefinitioner.
  6. Skapa och redigera förskjutningslinjer för linjeobjektdefinitioner.
  7. Lägga till och redigera attribut för objektdefinitioner.
  8. Skapa och redigera linjekontrollkoder.
  9. Skapa grupper av objektdefinitionskoder och linjekontrollkoder.
  10. Spara objektdefinitionsfilen (.fxl).
  11. Exportera filen eller ladda upp den till en fältenhet.

Närliggande information

Välkommen till Feature Definition Manager

Beskrivning av gränssnittet


Beskrivning av gränssnittet

Användargränssnittet i Feature Definition Manager innehåller vanliga element:

Användargränssnitt

Menyfält

Från den här platsen kan alla kommandon nås. Du kan:

  • Klicka på ett menyalternativ
  • Trycka på [Alt] och på menyalternativets understrukna bokstav. Sedan kan du trycka på en annan understruken bokstav eller använda uppåt- eller nedåtpilarna och trycka på [Retur] för att göra ett val.

Verktygsfält

Ger dig snabb åtkomst till de vanligaste kommandona via ikoner.

Verktygsfältet innehåller också en sökruta där du kan skriva in en objektkod. Om du trycker på [Retur] letas namnet upp och markeras i fönstret Utforskaren.

Utforskarfönstret

Här visas en trädvy med kategorier, objekt, linjekontrollkoder och grupper för var och en av dina filer. I fönstret Utforskaren kan du snabbt visa, markera, flytta och organisera elementen i filerna.

I fönstret Utforskaren kan du:

  • Öppna flera filer.
  • Skapa nya filer, kategorier, objekt och grupper genom att högerklicka och välja i en snabbmeny.

Egenskaps- och attributrutorna

Här kan du se och redigera egenskaperna för valda filer, kategorier, objekt, grupper och linjekontrollkoder.

Grafisk vy

Visar hur objektsymboler och anteckningar visas i grafiska vyer. Här kan du välja och flytta anteckningar.

Obs! Du kan panorera i en grafisk vy genom att klicka och dra mittenknappen på musen. Zooma in och ut genom att rulla mushjulet.

Statusfält

Här visas aktuella kategori- och objektnamn och pekarens position i den grafiska vyn.

Närliggande information

Välkommen till Feature Definition Manager

Arbetsflöde för Feature Definition Manager


Få hjälp

Hjälpsystemet ger dig olika möjligheter att hitta den information du söker.

Alternativ
Innehåll | Klicka på fliken om du vill visas alla hjälpavsnitt i en trädstruktur. Klicka på ett kapitel eller ett avsnitt för att se det.
Sök | Skriv ett sökord i sökrutan. Sedan klickar du på Visa lista med avsnitt om du vill söka efter alla förekomster av ordet i hjälpavsnitten. Välj ett avsnitt bland sökresultaten och klicka på Visa för att öppna det. Ordet som du söker efter markeras i alla hjälpavsnitt. Mer information finns i alternativet Sökmarkering på/av nedan.
Visa/dölj | Klicka här om du vill dölja flikarna Innehåll och Sök.
Bakåt | Klicka här om du vill se föregående avsnitt.
Skriv ut | Klicka här om du vill visa dialogrutan Skriv ut avsnitt. Välj att skriva ut enbart det valda avsnittet, eller rubriken och alla underavsnitt.
Menyn Alternativ
Stopp | Klicka här om du vill avsluta en sökfunktion.
Uppdatera | Klicka här om du vill återställa visningen av den aktuella sidan.
Internetalternativ | Klicka här om du vill visa dialogrutan Internetalternativ där du kan göra Internetinställningar för bland annat säkerhet, sekretess, innehåll, anslutningar och program.
Sökmarkering på/av | Klicka här för att aktivera/inaktivera markeringen av alla förekomster av nyckelordet i de genomsökta avsnitten.

Närliggande information

Välkommen till Feature Definition Manager


Skicka feedback

Vi strävar ständigt efter att erbjuda så användbar dokumentation som möjligt. Om du har synpunkter på eller förslag till förbättringar av hjälpfunktionen, utgåvekommentarerna, visningarna, självstudiekurserna eller arbetsflödesguiderna är du välkommen att kontakta oss på:
OSG_Documentation@Trimble.com

Alla inskickade kommentarer och förslag blir egendom tillhörig Trimble Navigation Limited.


Hantera objektdefinitionsfiler (.fxl)

Objektdefinitionsfiler (.fxl) innehåller följande typer av information, sorterade i Feature Definition Managers egna format.

  • Kategorier av objektdefinitioner
  • Objektdefinitioner
  • Objektattribut
  • Linjekontrollkoder
  • Objektdefinitions- /linjekontrollgrupper
  • Symboler och linjeformat

Närliggande information

Skapa objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Skapa objektdefinitionsfiler (.fxl)

Så här skapar du en ny objektdefinitionsfil (.fxl):

  1. Gör något av följande:
    • Välj Arkiv > Ny fil.
    • Klicka på ikonen [image] i verktygsfältet.

    En ny mappikon med namnet Ny fil visas i fönstret Utforskaren och fönstret Filegenskaper.

  2. Klicka på en ruta och redigera värdena om det behövs.

    Ytterligare anvisningar finns i Filegenskaper.

    Obs! Maxlängden "0" betyder att ingen gräns har satts.

  3. Gör sedan något av följande:
    • Välj Arkiv > Spara.
    • Klicka på ikonen [image] i verktygsfältet.

    Dialogrutan Spara öppnas.

  4. I dialogrutan Spara anger du namn på filen, väljer filtyp och plats där filen ska sparas. Klicka sedan på OK.

I fönstret Utforskaren ersätts Ny fil med den sökväg och det filnamn du anger.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Öppna objektdefinitionsfiler (.fxl)

Så här öppnar du en befintlig objektdefinitionsfil (.fxl):

  1. Gör något av följande:
    • Välj Arkiv > Öppna.
    • Klicka på ikonen [image] i standardverktygsfältet.

    Dialogrutan Öppna fil visas.

  2. I dialogrutan Öppna fil letar du upp den fil du vill öppna och klickar på OK.

    Filikonen visas i fönstret Utforskaren och fönstret Filegenskaper visas.

    Obs!
    – FXL-exempeldatafilen som medföljer Objektdefinitionshanteraren finns i tillämpningsundermappen i mappen Program Files. Men när du öppnar programmet skapas en andra version i en undermapp i mappen (Mina) dokument, och kan öppnas från Arkivmenyn. Vi rekommenderar att du använder denna version av filen, och inte den originalversion som finns i tillämpningsundermappen i mappen Program Files.
    – Som standard öppnas och sparas alla objektdefinitionsfiler (.fxl) i Objektdefinitionshanteraren i den senaste versionens format, som är kompatibelt med Trimble Access- och Survey Controller-version 12.40 och senare versioner.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Skapa objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Konvertera en FCL-fil till en FXL-fil

Så här konverterar du en FCL-fil till en FXL-fil:

  1. Välj Arkiv > Konvertera fil. Dialogrutan Konvertera fil visas.
  2. Ange filnamn och sökväg för den .fcl-fil du vill omvandla i rutan Välj källfil eller klicka på knappen [image] och navigera till .fcl-filen.
  3. Ange filnamn och sökväg för .fcl-målfilen i rutan Definiera mål eller klicka på knappen [image] och navigera till .fcl-filen.
  4. Välj språket som används i .fcl-filen i listan Språk.
  5. Välj den .fxl-version som du vill konvertera filen till.
  6. Klicka på OK.

    Filikonen för den nya .fxl-filen visas i fönstret Projektutforskaren.


Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Så här anger eller redigerar du egenskaper för objektdefinitionsfiler (.fxl):

  1. I fönstret Utforskaren väljer du den fil du vill arbeta med.
  2. Gör något av följande:
    • Välj Arkiv > Egenskaper.
    • Klicka på ikonen [image] i verktygsfältet.

    Fönstret Filgenskaper visas.

  3. Klicka på en ruta och redigera värdena om det behövs.

    Ytterligare anvisningar finns i Filegenskaper.

    Obs! Maxlängden "0" betyder att ingen gräns har satts.

  4. Gör sedan något av följande:
    • Välj Arkiv > Spara.
    • Klicka på ikonen [image] i verktygsfältet.

    När du anger egenskaper för första gången för en ny fil visas dialogrutan Spara. I dialogrutan Spara anger du namn på filen, väljer filtyp och plats där filen ska sparas. Klicka sedan på OK.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Skapa objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Egenskaper för objektdefinitionsfiler (.fxl)

Använd de här alternativen när du vill ange författare, beskrivning, om objektkoderna är numeriska eller ej, och maxlängden på vissa fält. De finns i fönstret Filegenskaper.

Alternativ
Författare | Skriv namnet på den som skapat filen.
Beskrivning | Skriv in mer information om filen.
Skapad den | Visar det skrivskyddade datum då filen först sparades.
Ändrad den | Visar det skrivskyddade datum då filen senast sparades.
Definierar om objektkoder endast är numeriska | Nej – Välj det här om du vill tillåta alfanumeriska koder. Ja – Välj det här om du endast vill använda numeriska koder.
Maximalt antal tecken för attributnamn | Skriv värdet för det högsta antalet tecken som tillåts i en Namn-attributruta. Obs! Maxlängden "0" betyder att ingen gräns har satts.
Maximalt antal tecken för kategorinamn | Skriv värdet för det högsta antalet tecken som tillåts i en Namn-kategoriruta.
Maximalt antal tecken för objektnamn | Skriv värdet för det högsta antalet tecken som tillåts i en Namn-objektruta.
Maximalt antal tecken för objektkoder | Skriv värdet för det högsta antalet tecken som tillåts i en Kod-objektruta.
Maximalt antalet koder/grupp | Skriv värdet för det högsta antalet objekt- eller kontrollkoder som tillåts i en grupp. Detta beror på den typ av fältenhet du tänker använda.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Skapa objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Skapa mallar för objektdefinitionsfiler (.fxl)

Du kan skapa en eller flera mallar som innehåller de objektdata du använder mest. På det sättet sparar du tid och säkerställer att projekten blir enhetliga.

Så här skapar du en mallfil:

  1. Öppna en befintlig fil som liknar den mall du vill skapa, eller skapa en ny fil.

    Obs! För följande steg finns ytterligare anvisningar i respektive hjälpavsnitt.

  2. Ange filegenskaper efter behov.
  3. Skapa, redigera och radera kategorier, objekt, attribut, kontrollkoder och grupper efter behov.
  4. Skapa, redigera och radera anteckningar och symboler efter behov.
  5. Välj Arkiv > Spara som. Dialogrutan Spara som öppnas.
  6. Gör följande i dialogrutan Spara som:
    1. Ange ett namn på filen.
    2. Välj en filtyp.
    3. Välj en plats där filen ska sparas.
    4. Klicka på OK.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Skapa objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Egenskaper för objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfiler (.fxl)


Spara objektdefinitionsfiler (.fxl)

Spara objektdefinitionsfilen (.fxl) tidigt och ofta.

VARNING! Ändringar sparas inte i filerna förrän du sparar.

Så här sparar du en objektdefinitionsfil (.fxl):

  1. Gör något av följande:
    • Välj Arkiv > Spara.
    • Klicka på ikonen [image] i verktygsfältet.

    Om du har sparat filen tidigare visas ingen dialogruta och filen sparas. Om det är första gången du sparar filen visas dialogrutan Spara.

  2. Gör följande om dialogrutan Spara visas:
    1. Ange ett namn på filen.
    2. Välj en filtyp.
    3. Välj en plats där filen ska sparas.
    4. Klicka på OK. Ny fil i fönstret Utforskaren ersätts med den sökväg och det filnamn du anger.

Så här sparar du en objektdefinitionsfil (.fxl) med ett nytt namn:

  1. Välj Arkiv > Spara som. Dialogrutan Spara som öppnas.
  2. Gör följande i dialogrutan Spara som:
    1. Ange ett namn på filen.
    2. Välj en filtyp.
    3. Välj en plats där filen ska sparas.
    4. Klicka på OK. Det nya filnamnet visas i fönstret Utforskaren.

Närliggande information

Hantera objektdefinitionsfiler (.fxl)

Skapa objektdefinitionsfiler (.fxl)

Öppna objektdefinitionsfiler (.fxl)

Konvertera en FCL-fil till en FXL-fil

Ange och redigera egenskaper för objektdefinitionsfiler (.fxl)

Egenskaper för objektdefinitionsfiler (.fxl)

Skapa mallar för objektdefinitionsfiler (.fxl)


Ladda ned och importera objektdefinitionsdata

Du kan "ladda ned" objektdefinitionsdata direkt från en fältenhet, eller "importera" objektdefinitionsdata som är sparade i en fil.

Obs! För att importera eller ladda ned data måste du ha en fil öppen redan. Importerade och nedladdade data placeras i den aktuella filen.

Så här laddar du ned objektdefinitionsdata från en fältenhet:

  1. Anslut fältenheten till datorn.
  2. Klicka på Arkiv > Importera. Dialogrutan Importera fil visas.
  3. Klicka på Ladda ned från en enhet.
  4. Välj en fältenhet i listan Enhetsnamn.
  5. Välj ett program i listan Program.
  6. Klicka på OK. Nedladdade data visas i filen i fönstret Utforskaren.

Så här importerar du objektdefinitionsdata från en fil:

  1. Klicka på Arkiv > Importera. Dialogrutan Importera fil visas.
  2. Klicka på Importera från fil.
  3. Ange en filsökväg och ett namn i rutan Källfil eller klicka på knappen [image] och navigera till önskad fil.
  4. Välj ett program i listan Program.
  5. Klicka på OK. Importerade data visas i filen i fönstret Utforskaren.

Närliggande information

Alternativ för nedladdning och import

Import- och exportformat

Importera DDF-filer (Data Dictionary)


Alternativ för nedladdning och import

Använd de här alternativen för att importera externa data från ett annat program eller en fältenhet. De finns i dialogrutan Importera fil.

Det inbyggda formatet i hanteraren Feature Definition Manager är .fxl, som effektivt lagrar och sorterar objektdefinitioner. Hanterarens importprogram gör det också kompatibelt med många andra format.

Alternativ
Källfil | Ange sökväg och den fil du vill importera eller klicka på knappen [image] och navigera till filen.
Filtyp | Visar formatet på den valda filen.
Importera från fil | Klicka här om du vill välja bland filer som är lagrade på en lokal enhet eller nätverksenhet.
Ladda ned från en enhet | Klicka här om du vill välja bland filer som är lagrade på en ansluten fältenhet.
Enhetsnamn | Visar namnet på den fältenhet du har anslutit.
Program | Välj den fältprogramvara som objektfilen är avsedd för.

Närliggande information

Ladda ned och importera objektdefinitionsdata

Import- och exportformat

Importera DDF-filer (Data Dictionary)


Import- och exportformat

Med Feature Definition Manager kan du importera från och exportera till en rad olika program i följande format.

Importera | Filformat | Exportera
 | .fal – objekts- och attributbiblioteksfil |
 | .ddf – datalexikon-fil |
 | .csv – vanlig textfil |
 | .lst – Nikon-kodlistfil |
 | .xml – Geodatabasfil |

Närliggande information

Ladda ned och importera objektdefinitionsdata

Importera DDF-filer (Data Dictionary)

Alternativ för nedladdning och import


Importera DDF-filer (Data Dictionary)

Om du använder programmet Trimble® GPS Pathfinder® kan du importera DDF-filer (Data Dictionary) från datalexikonredigeraren. Om du importerar objektdata i det här formatet slipper du återskapa attribut i Feature Definition Manager.

När en DDF-fil importeras konverteras alla linje- och ytobjekt till punktobjekt, men attributdefinitionerna ändras inte.

Om det redan finns ett .ddf-objekt med samma namn i ditt objektdefinitionsbibliotek:

  • Attributen i .ddf-versionen ersätter attributen i det befintliga objektet.
  • Punktstilar, linjeformat och anteckningsmallar för det befintliga objektet är kvar eftersom DDF-filer inte innehåller den här informationen.

Om det inte finns något .ddf-objekt i ditt objektbibliotek visas det med ett frågetecken eftersom ingen punktstil har definierats.

Annars är objekt som importeras från en DDF-fil i huvudsak samma som objekt som skapats i Feature Definition Manager.

Närliggande information

Ladda ned och importera objektdefinitionsdata

Alternativ för nedladdning och import

Import- och exportformat


Importera geodatabasfiler (.xml)

Observera följande när du importerar objektdefinitioner från en geodatabasfil (.xml):

  • Geodatabasfiler stöder inte objektdefinitionskoder. När du importerar geodatabasfilen till Objektdefinitionshanteraren så används definitionsnamnen för definitionskoderna. Du kan ändra namnen eller koderna efter importen.
  • Geodatabasfiler stöder inte blanksteg i objektdefinitionsnamn. När du importerar geodatabasfilen till Objektdefinitionshanteraren så infogas understreck i stället för blanksteg i definitionsnamnen och -koderna. Du kan redigera namnen och koderna efter importen.
  • Geodatabasfiler stöder inte kategorier. När du importerar geodatabasfilen till Objektdefinitionshanteraren så tilldelas alla importerade objektdefinitioner till kategorin Diverse. Om det behövs kan du ordna objektdefinitionerna i nya eller befintliga kategorier efter importen.
  • Geodatabasfiler stöder inte standardattributvärden eller linjer och symboler. Om det behövs kan du lägga till dessa egenskaper efter importen.

Närliggande information

Hämta och importera objektdefinitionsdata

Alternativ för hämtning och import

Import- och exportformat


Arbeta med kategorier av objektdefinitioner

Du kan använda kategorier för att sortera objektdefinitioner i uppsättningar liknande definitioner. Med hjälp av kategorier kan fältpersonalen snabbt välja ut de objektdefinitioner som behövs för en viss typ av jobb och därmed förbereda insamlingen av fältdata.

När du väljer en kategori i fönstret Utforskaren visas en lista i huvudfönstret över objektdefinitioner i den kategorin.

Närliggande information

Skapa och redigera kategorier av objektdefinitioner


Skapa och redigera kategorier av objektdefinitioner

Så här skapar du en objektdefinitionskategori:

  1. I fönstret Utforskaren högerklickar du på filen där den nya kategorin ska läggas till. Välj sedan Ny > Ny kategori Rutan Namn för nya kategorier visas.
  2. Skriv ett namn på den nya kategorin i rutan Namn.
  3. Klicka någonstans i fönstret Utforskaren. Den nya kategorin visas i fönstret Utforskaren.

Så här redigerar du namnet på en objektdefinitionskategori:

  1. I fönstret Utforskaren klickar du på namnet på kategorin som du vill redigera. Rutan Namn visas.
  2. Skriv namnet på den nya kategorin i rutan Namn.
  3. Klicka någonstans i fönstret Utforskaren. Kategorin med det nya namnet visas i fönstret Utforskaren.

Närliggande information

Arbeta med kategorier av objektdefinitioner


Arbeta med objektdefinitioner

Objektdefinitioner representerar de olika typer av objekt som kan finnas i ett fält (exempelvis gångbanor, telefonstolpar osv.). Objektdefinitionshanteraren Feature Definition Manager innehåller en samling fördefinierade objektdefinitioner som du kan använda som utgångspunkt när du bygger ett eget objektdefinitionsbibliotek.

Alla objektdefinitioner i en fil måste ha unika namn och koder, men du kan ha flera filer öppna samtidigt med objektdefinitioner som har samma namn och eller kod.

I verktygsfältet finns även en sökruta där du kan skriva in namnet på en objektdefinition, en kontrollkod eller grupp. Om du trycker på [Retur] letas namnet upp och markeras i fönstret Utforskaren.

Det finns två typer av tillgängliga objektdefinitioner:

  • Ett punktobjekt används för att identifiera ett enstaka objekt, till exempel ett träd eller en telefonstolpe. En punktobjektsdefinition visas med ikonen [image] i fönstret Utforskaren.
  • Ett linjeobjekt består av två eller flera punkter som utgör en linje, till exempel ett staket eller en väg. En linjeobjektsdefinition visas med ikonen [image] i fönstret Utforskaren. Linjeobjekt kan även innehålla linjekontrollkoder som används för att ytterligare definiera linjeobjekt (exempelvis lägga till linjer, kurvor och bågar mellan punkter).

Närliggande information

Skapa och redigera objektdefinitioner

Alternativ för objektdefinitioner


Skapa och redigera objektdefinitioner

Så här skapar du en objektdefinition:

  1. I utforskarrutan klickar du på filen där det nya objektet ska läggas till.
  2. Gör något av följande:
    • Välj Redigera > Ny > Ny objektdefinition.
    • Klicka på [image] -ikonen i verktygsfältet Ny.

    Dialogrutan Ny objektdefinition visas.

    Obs! Mer information om de följande stegen finns i Alternativ för objektdefinitioner.

  3. Skriv lämpliga värden i rutorna Namn och Kod.
  4. Välj lämpliga alternativ i listorna Kategori, Typ, Färg och Lager.
  5. Om det behövs markerar du alternativen Inkludera på yta, Brytlinje på yta eller Omvänd riktning. (Alternativen Brytlinje på yta och Omvänd riktning är bara tillgängliga om du skapar en linjeobjektdefinition.)
  6. När du är klar klickar du på OK. En ikon för ny objektdefinition läggs till i utforskarfönstret under den valda kategorin.

Så här redigerar du en befintlig objektdefinition:

  1. I utforskarrutan klickar du på namnet för den objektdefinition du vill redigera. Rutan Egenskaper för objektdefinition visas.
  2. Klicka i några av rutorna i rutan Egenskaper för objektdefinition för att redigera egenskaperna. Mer information finns i Alternativ för objektdefinitioner.
  3. Tryck på tabbtangenten eller välj ett annat objekt i utforskarrutan för att acceptera ändringen.

Närliggande information

Arbeta med objektdefinitioner

Alternativ för objektdefinitioner


Alternativ för objektdefinitioner

Använd de här alternativen för att definiera egenskaper för en objektdefinition. De är tillgängliga i dialogrutan Ny objektdefinition och i rutan Egenskaper för objektdefinition.

Alternativ

Namn

Ange en unik identifierare för objektdefinitionen. Två objektdefinitioner i samma fil kan inte ha samma namn.

Kod

Ange en unik förkortning av objektdefinitionens namn.

Kategori

Välj i vilken kategori objektdefinitionen ska lagras.

Typ

Punktobjekt – Välj det här alternativet för att skapa en punktobjektdefinition. Ett punktobjekt används för att identifiera ett enstaka objekt, till exempel ett träd eller en telefonstolpe.

Linjeobjekt – Välj det här alternativet för att skapa en linjeobjektdefinition. Ett linjeobjekt består av två eller flera punkter som utgör en linje, till exempel ett staket eller en väg.

Lager

Välj rätt lager för objektdefinitionen, om lager tidigare har definierats för filen. Eller välj något av de här alternativen:

0 – Välj det här alternativet för att placera det nya objektet i standardlagret.

Punkter – Välj det här alternativet om du vill placera ett punktobjekt i samma lager som andra punktobjektdefinitioner.

<<Nytt lager>> – Välj det här alternativet om du vill visa dialogrutan Nytt lager, där du kan definiera följande egenskaper för det nya lagret:

  • Lagernamn
  • Färg
  • Linjeformat

    Om du behöver importera ett linjeformat väljer du alternativet <<Importera linjeformat>>. Dialogrutan Linjeformathanterare visas. I den här dialogrutan kan du importera och ta bort linjeformat. Instruktioner finns i Arbeta med linjeformat.

Färg

Efter lager – Välj det här alternativet om du vill att objektet ska ärva visningsfärgen från det lager det är placerat på.

(färg) – Välj en färg för visningen av objektdefinitionen i den grafiska vyn.

Linjeformat

Välj rätt linjeformat.

Om du behöver importera ett linjeformat väljer du alternativet <<Importera linjeformat>>. Dialogrutan Linjeformathanterare visas. I den här dialogrutan kan du också ta bort linjeformat. Instruktioner finns i Arbeta med linjeformat.

Det här alternativet är bara tillgängligt om du skapar eller redigerar en linjeobjektdefinition.

Linjeformatskala

Ange en skalfaktor för de symboler som används för att ange en linje.

Det här alternativet är bara tillgängligt om du skapar eller redigerar en linjeobjektdefinition.

Inkludera på yta

Markera det här om du vill att objektet ska kunna användas när ytor skapas, efter att objektkoderna har bearbetats i ett annat program.

Närliggande information

Arbeta med objektdefinitioner

Skapa och redigera objektdefinitioner

Arbeta med linjeformat


Arbeta med linjeformat

Dialogrutan Linjeformatshanterare visas när du väljer alternativet <<Importera linjeformat>> när du skapar eller redigerar en linje.

Så här importerar du linjeformat:

  1. Välj alternativ för Längdenhet och Enhetsreferens.
  2. Klicka på Bläddra och leta reda på den linjeformatsfil från vilken du vill importera ett eller flera linjeformat.
  3. I listan till höger väljer du den eller de linjeformat du vill importera och klickar på knappen Flytta (<) för att flytta dina val till vänster lista, eller klicka på knappen Flytta (<<) för att flytta alla poster i höger lista till vänster lista. I listan till vänster visas alla tillgängliga linjeformat i projektet.
  4. När du är klar klickar du på OK. De importerade linjeformaten kan du nu välja i listan Linjeformat.

Så här raderar du linjeformat:

  1. I vänster lista markerar du ett eller flera linjeformat som du vill radera.
  2. Klicka på knappen Radera (X).
  3. När du är klar klickar du på OK.

Närliggande information

Alternativ för objektdefinitioner

Alternativ för förskjutningslinje för objekt


Arbeta med objektsymboler

Objekt kan visas som symboler i grafiska vyer i kontorsprogrammet för mätbearbetning. Du kan ange vilka symboler som ska användas med varje objektsdefinition.

Närliggande information

Tilldela, redigera och ta bort objektsymboler

Alternativ för objektsymboler


Tilldela, redigera och ta bort objektsymboler

Så här kopplar du en symbol till en objektdefinition:

  1. I fönstret Utforskaren högerklickar du på den objektdefinition som du ska tilldela en symbol. Välj sedan Ny > Ny symbol. Dialogrutan Symbol öppnas.
  2. Fyll i fälten enligt beskrivningen i Alternativ för objektsymboler.
  3. När du är klar klickar du på OK. Den tilldelade symbolen visas i listan Linjer och symboler.

Så här redigerar du en symbol:

  1. I fönstret Utforskaren klickar du på objektdefinitionen som du vill redigera en symbol för.
  2. I listan Linjer och symboler dubbelklickar du på den symbol du vill redigera. Dialogrutan Symbol öppnas.
  3. Fyll i fälten enligt beskrivningen i Alternativ för objektsymboler.
  4. När du är klar klickar du på OK.

Så här raderar du en symbol:

  1. I fönstret Utforskaren klickar du på objektdefinitionen som du vill radera en symbol från.
  2. I listan Linjer och symboler högerklickar du på den symbol du vill radera.
  3. Klicka på Ta bort i snabbmenyn.

Närliggande information

Arbeta med objektsymboler

Alternativ för objektsymboler


Alternativ för objektsymboler

Använd de här alternativen, som visas i dialogrutan Symbol, för att definiera egenskaperna för en symbol.

Alternativ

Namn

Ange en identifierare för symbolen.

Beskrivning

Ange några allmänna kommentarer om symbolen.

Symbol

Välj en symbol som ska representera objektet.

Om du behöver importera en symbol väljer du alternativet <<Importera symboler>>. Dialogrutan Symbolhanteraren öppnas. I den här dialogrutan kan du importera och radera symboler. Mer information finns i Arbeta med symboler.

Färg

Efter lager – Välj det här alternativet om du vill använda färgen från det lager som objektkoderna finns på i mätbearbetningsprogrammet.

Per block/objekt – Välj det här alternativet om du vill använda färgen från lagret som objektet finns på.

(färg) – Välj lämplig färg.

Placering

Rotation

Fast värde – Välj det här alternativet för att öppna rutan Värde där du kan ange rotationsvinkel för symbolen. Rotationen går moturs.

Attribut – Välj det här alternativet om du vill öppna listan Attributnamn där du kan välja lämpligt attributnamn. Symbolen roterar med det värde (i grader) som definierats i attributet.

Symbolstorlek och skala

Dimensionering

Mark – Välj det här alternativet för att skala symbolen till en viss markstorlek baserat på ett fast värde eller attribut.

Papper – Välj det här alternativet för att skala symbolen till den plottskala som definierats för ditt projekt baserat på ett fast värde eller attribut.

Inmatningsmetod

Fast värde – Välj det här alternativet för att öppna rutan Värde, där du kan ange en storlek för symbolen.

Om du väljer Mark i grupprutan Dimensionering så skalas symbolen till markstorleken baserat på det värde du anger. Om du till exempel anger 1 meter så kommer markstorleken för symbolen att bli 1 meter.

Om du väljer Papper i grupprutan Dimensionering så skalas symbolen till den plottskala som definierats för ditt projekt baserat på det värde du anger. Om du till exempel anger 1 millimeter och ditt projekts plottskala är 100 så kommer symbolens markstorlek att bli 0,1 meter (1 mm x 100). Standardplottskalan som används för att visa symbolen i Objektdefinitionshanteraren är 100, men plottskalan i ditt projekt kan vara en annan.

Attribut – Välj det här alternativet för att öppna listan Attributnamn, där du kan välja rätt attributnamn. Symbolen kommer att ges en storlek baserat på värdet som anges på attributet.

Om du väljer Mark i grupprutan Dimensionering så skalas symbolen till markstorleken baserat på det värde som anges för det valda attributet. Om du till exempel väljer ett attribut vars värde är 1 och din visningsenhet är meter så kommer symbolens markstorlek att bli 1 meter.

Om du väljer Papper i grupprutan Dimensionering så skalas symbolen till den plottskala som definierats för ditt projekt baserat på det värde som anges för det valda attributet. Om du till exempel väljer ett attribut vars värde är 1 och ditt projekts plottskala är 100 så kommer symbolens storlek att bli 0,1 meter (1 mm x 100). Standardplottskalan som används för att visa symbolen i Objektdefinitionshanteraren är 100, men plottskalan i ditt projekt kan vara en annan.

Obs! Om du vill ändra visningsenhet klickar du på knappen Redigera inställningar. De visningsenheter du väljer här ska vara samma som de visningsenheter som används i ditt projekt.

Närliggande information

Arbeta med objektsymboler

Tilldela, redigera och ta bort objektsymboler

Arbeta med symboler


Arbeta med symboler

Dialogrutan Symbolhanteraren visas när du väljer alternativet <<Importera symboler>> när du arbetar med en symbol.

Så här importerar eller tar du bort symboler:

  1. I dialogrutan Symbolhanteraren klickar du på [image] -knappen och navigerar till filen som innehåller den eller de symboler som du vill importera.

    En standardsymbolfil är installerad i:
    C:\Program Files\Trimble\Objektdefinitionshanteraren\PEditor\Symbols.sym
  1. Gör något av följande:
    • Om du vill importera alla symboler från den valda filen klickar du på <<-knappen.
    • Om du vill importera en enstaka symbol från den valda filen markerar du den i listan till höger och klickar på <-knappen.
    • Om du vill ta bort en symbol markerar du den i listan till vänster och klickar på X-knappen.
  2. När du är klar klickar du på OK.

Närliggande information

Alternativ för objektsymboler


Arbeta med förskjutningslinjer för objekt

Om du vill skapa en eller flera förskjutningslinjer för ett linjeobjekt, till skillnad från en enda mittlinje, kan du tilldela förskjutningslinjer den objektdefinition som används för att definiera linjen. Låt säga att du vill lägga till två förskjutningslinjer i linjeobjektet för en trottoar: en som är 2 enheter till vänster om trottoarens mittlinje som definierar den vänstra kanten och en som är 2 enheter till höger om trottoarens mittlinje och som definierar den högra kanten. I så fall kan du lägga till två förskjutningslinjer i objektdefinitionen: en med ett horisontellt förskjutningsvärde på 2, och en med ett horisontellt förskjutningsvärde på -2. Du kan till och med använda olika färger och format för förskjutningslinjerna.

Obs! När du lägger till en förskjutningslinje i en linjeobjektdefinition visas inte mittlinjen längre.

Närliggande information

Tilldela, redigera och ta bort förskjutningslinjer för objekt

Alternativ för förskjutningslinje för objekt


Tilldela, redigera och ta bort förskjutningslinjer för objekt

Så här kopplar du en förskjutningslinje till en linjeobjektdefinition:

  1. I fönstret Utforskaren högerklickar du på den linjeobjektdefinition som du vill koppla till en förskjutningslinje. Välj sedan Ny > Ny linje. Dialogrutan Linje visas.
  2. Fyll i fälten enligt beskrivningen i Alternativ för förskjutningslinje för objekt.
  3. När du är klar klickar du på OK. Den tilldelade förskjutningslinjen visas i listan Linjer och symboler.

Så här redigerar du en förskjutningslinje:

  1. I fönstret Utforskaren klickar du på objektdefinitionen som du vill redigera en förskjutningslinje för.
  2. I listan Linjer och symboler dubbelklickar du på den förskjutningslinje du vill redigera. Dialogrutan Linje visas.
  3. Fyll i fälten enligt beskrivningen i Alternativ för förskjutningslinje för objekt.
  4. När du är klar klickar du på OK.

Så här raderar du en förskjutningslinje:

  1. I fönstret Utforskaren klickar du på objektdefinitionen som du vill radera en förskjutningslinje från.
  2. I listan Linjer och symboler högerklickar du på den förskjutningslinje du vill radera.
  3. Klicka på Ta bort i snabbmenyn.

Närliggande information

Arbeta med förskjutningslinjer för objekt

Alternativ för förskjutningslinje för objekt


Alternativ för förskjutningslinje för objekt

Använd de här alternativen, som visas i dialogrutan Linje , för att definiera egenskaperna för en objektförskjutningslinje.

Alternativ

Namn

Ange en identifierare för förskjutningslinjen.

Beskrivning

Ange några allmänna kommentarer om förskjutningslinjen.

Format

Välj lämpligt linjeformat.

Om du behöver importera ett linjeformat väljer du alternativet <<Importera linjeformat>>. Dialogrutan Linjeformatshanteraren visas. I den här dialogrutan kan du importera och radera linjeformat. Mer information finns i Arbeta med linjeformat.

Skala

Ange en skalfaktor för symbolerna som används för linjen.

Färg

Efter lager – Välj det här alternativet om du vill använda färgen från det lager som objektkoderna finns på i mätbearbetningsprogrammet.

Per block/objekt – Välj det här alternativet om du vill använda färgen från lagret som objektet finns på.

(färg) – Välj lämplig färg.

Horisontell offset

Ange det avstånd som linjen ska förskjutas horisontellt från objektets mittlinje.

Ytterligare en linje skapas.

Vertikal offset

Ange det avstånd som linjen ska förskjutas vertikalt från objektets mittlinje.

Ytterligare en linje skapas.

Offsettyp

Mark – Välj det här alternativet om du vill använda de faktiska projektenheterna för horisontella och vertikala förskjutningsavstånd.

Ark – Välj det här alternativet om du vill använda pappersenheterna för horisontella och vertikala förskjutningsavstånd.

Närliggande information

Arbeta med förskjutningslinjer för objekt

Tilldela, redigera och ta bort förskjutningslinjer för objekt

Arbeta med linjeformat


Arbeta med objektattribut

Objektattribut är egenskaper som tilldelas objektdefinitioner och används som ytterligare beskrivning av objekt. Objektattribut kan användas för att:

  • Fördefiniera ofta förekommande egenskaper så att fältpersonalen snabbt kan använda dem på objekt. För objektet "Träd" kan du exempelvis lägga till attributen art, höjd, stamomkrets och skick. Varje trädobjekt som registrerats på fältet kan ha egna värden för de här attributen.
  • Styra vilken typ av information som kan och måste samlas in om objekten på fältet. Om du exempelvis vill kräva en symbol för varje registrerat träd, lägger du till trädsymbolen i trädobjektet och gör det till ett Obligatoriskt attribut. Fältinsamlingsenheten frågar efter och kräver att fältpersonalen anger en symbol för varje objekt de registrerar.

Närliggande information

Tilldela och redigera objektattribut

Alternativ för objektattribut


Tilldela och redigera objektattribut

Så här kopplar du ett attribut till en objektdefinition:

  1. I fönstret Utforskaren högerklickar du på den objektdefinition som du ska tilldela ett attribut. Välj sedan Nytt > Nytt attribut > (attributtyp). Dialogrutan för den valda attributtypen visas.

    I Alternativ för objektattribut finns beskrivningar av alla tillgängliga attributtyper och länkar till avsnitt som beskriver hur du anger egenskaper för var och en i den angivna (attributtyp)-dialogrutan.

  2. När du är klar med att ange egenskaper i (attributtyp)-dialogrutan klickar du på OK. Det tilldelade attributet visas i listan Attribut för objektdefinitionen i huvudfönstret.

Så här redigerar du ett befintligt attribut:

  1. I fönstret Utforskaren klickar du på objektdefinitionen som du vill redigera ett attribut för.
  2. I listan Attribut dubbelklickar du på det attribut du vill redigera. Dialogrutan (attributtyp) öppnas.
  3. Fyll i fälten enligt beskrivningen i Alternativ för objektattribut.
  4. När du är klar klickar du på OK.

Närliggande information

Arbeta med objektattribut

Alternativ för objektattribut


Alternativ för objektattribut

Med de här alternativen kan du lägga till attribut som fältpersonalen sedan kan välja bland när de loggar ett objekt ute på fältet. De finns på snabbmenyn när du högerklickar på ett objekt och väljer Nytt > Nytt attribut.

Alternativ

Tal

Välj det här alternativet när du behöver ange attribut med numeriska värden, till exempel omkrets eller höjd på träd, eller luftföroreningshalten vid specifika platser.

Du kan bara ange heltal eller decimaltal i talattributrutorna.

Text

Välj det här alternativet om du behöver ange attribut med alfanumeriska tecken, som gatunamn eller namn på den som äger exempelvis elskåp.

Du kan visserligen lägga till tal i ett Text-attribut, men använd hellre Tal-attributet om attributet alltid kommer vara numeriskt.

Datum

Välj det här alternativet om du vill ange attribut i standarddatumformat, till exempel installationsdatum för elstolpar.

Tid

Välj det här alternativet om du vill ange attribut i tidformat, till exempel det klockslag du loggade ett objekt.

Lista

Välj det här alternativet om du behöver ange attribut genom att välja bland olika alternativ i en lista, till exempel fem möjliga monumenttyper i ditt projekt.

Fil

Välj det här alternativet om du behöver ange filattribut.

Foto

Välj det här alternativet om du behöver ange fotoattribut.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut


Objektattribut: Talalternativ

Använd de här alternativen om du vill definiera attribut som består av numeriska värden. Alternativen finns i dialogrutan Tal.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.
Standardvärde | Skriv det vanligaste värdet som ska anges. Det visas automatiskt i attributrutan.
Specifik fältenhet |
Minimivärde | Ange det lägsta tillåtna värdet för attributet.
Maximivärde | Ange det högsta tillåtna värdet för attributet.
Antal decimaler | Ange antalet decimaler som ska tillåtas till höger om decimaltecknet. Ange värdet 0 om du bara vill tillåta heltal.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Heltalsalternativ

Använd de här alternativen om du vill definiera attribut som består av heltal. De finns i dialogrutan Heltal.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.
Standardvärde | Skriv det vanligaste värdet som ska anges. Det visas automatiskt i attributrutan.
Specifik fältenhet |
Minimivärde | Ange det lägsta heltalet för attributet.
Maximivärde | Ange det högsta heltalet för attributet.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Textalternativ

Använd de här alternativen för att definiera textattribut som består av strängar med bokstäver, tal och andra tecken. De finns i dialogrutan Text.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet om attributet inte kan anges på en fältenhet utan måste anges i objektfilsdefinitionen. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.
Standardvärde | Skriv det vanligaste värdet som ska anges. Det visas automatiskt i attributrutan. Om du inte anger något standardvärde visas attributet först som null (inget värde).
Maximal längd | Ange maxlängd på tecken som kan anges (upp till 100). Fältet måste ha ett värde, standardvärdet är 30.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Datumalternativ

Använd de här alternativen för att ange formatet för ett datumattribut. De finns i dialogrutan Datum.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet om attributet inte anges i fältet. Det måste anges via dator. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges i fältet.
Format | Välj ett datumformat i listan. Obs! När du exporterar data till ett av de tillgängliga GIS-exportformaten bör du se till att datumformatet du anger för alla datumattribut är detsamma som datumformatet på den dator där GIS-programmet är installerat. Många GIS-system kontrollerar datuminställningen på datorn när filer importeras och antar att datumen i filerna har samma format som i datorn. Om inställningarna skiljer sig åt kan du få null-värden i GIS-programmet.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Tidsalternativ

Använd de här alternativen för att ange formatet för ett tidsattribut. De finns i dialogrutan Tid.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.
Format | Välj ett tidformat i listan. Obs! När du exporterar data till ett av de tillgängliga GIS-exportformaten bör du se till att datumformatet du anger för alla datumattribut är detsamma som datumformatet på den dator där GIS-programmet är installerat. Många GIS-system kontrollerar datuminställningen på datorn när filer importeras och antar att datumen i filerna har samma format som i datorn. Om inställningarna skiljer sig åt kan du få null-värden i GIS-programmet.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Listalternativ

Använd de här alternativen för att definiera attribut som kräver ett antal fördefinierade markerbara värden. De finns i dialogrutan Lista.

Alternativ

Namn

Ange en identifierare för attributet.

Beskrivning

Ange några allmänna kommentarer om attributet.

Den här rutan är valfri och används inte under fältarbetet.

Registreringsläge

Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator.

Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte.

Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.

Listvärden

Med de här knapparna kan du skapa en lista där du väljer ett alternativ.

Uppåt – Klicka på den här knappen om du vill flytta det valda listalternativet uppåt i listan.

Nedåt – Klicka på den här knappen om du vill flytta det valda listalternativet nedåt i listan.

Standard – Klicka på den här knappen om du vill att det valda alternativet ska vara det värde som visas i listan om inget annat är valt.

Lägg till – Klicka på den här knappen om du vill lägga till en ny post i listan. Skriv sedan in posten.

Ta bort – Klicka på den här knappen om du vill ta bort ett alternativ från listan.

Obs! Du redigerar en listpost genom att markera den i Listvärden och skriva ett nytt namn.

Standard

Skriv det vanligaste värdet som ska anges. Det visas automatiskt i attributrutan. Om du inte anger något standardvärde visas attributet först som null (inget värde).

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Filalternativ

Använd de här alternativen för att definiera filattribut. De finns i dialogrutan Fil.

Alternativ
Namn | Ange en identifierare för attributet.
Beskrivning | Ange några allmänna kommentarer om attributet. Den här rutan är valfri och används inte under fältarbetet.
Registreringsläge | Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator. Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte. Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Objektattribut: Fotoalternativ

Använd de här alternativen för att definiera fotoattribut. De finns i dialogrutan Foto.

Alternativ

Namn

Ange en identifierare för attributet.

Beskrivning

Ange några allmänna kommentarer om attributet.

Den här rutan är valfri och används inte under fältarbetet.

Registreringsläge

Endast för kontorsanvändning – Välj det här alternativet när attributet inte kan anges på en fältenhet utan måste anges via dator.

Tillval – Välj det här alternativet när användaren kan välja om attributet ska anges eller inte.

Obligatoriskt – Välj det här alternativet när attributet måste anges med ett giltigt värde.

Generera automatiskt -– Välj det här alternativet när attributet måste vara ett foto som tagits med enheten.

Generera automatiskt – Skrivskyddad – Välj det här alternativet när attributet måste vara ett foto som tagits med enheten och fotot inte kan redigeras i enheten.

Närliggande information

Arbeta med objektattribut

Tilldela och redigera objektattribut

Alternativ för objektattribut


Arbeta med linjekontrollkoder

Mättekniker kan koppla linjekontrollkoder till punkter under insamlingen av fältdata för att ange egenskaper för ett tillhörande linjeobjekt. De kan till exempel koppla en linjekontrollkod till en punkt för att ange var en objektlinje börjar och slutar. När objektkoderna bearbetas i kontorsprogrammet för mätbearbetning ändrar linjekontrollkoder linjeobjekten efter instruktionerna i koden.

Obs! Du kan redigera den fördefinierade listan över tillgängliga kontrollkoder men du kan inte ändra åtgärden som utförs av varje kod.

Närliggande information

Skapa och redigera linjekontrollkoder

Alternativ för linjekontrollkoder


Skapa och redigera linjekontrollkoder

Så här skapar du en ny linjekontrollkod:

  1. Gör något av följande:
    • Välj Redigera > Ny > Ny linjär kontrollkod.
    • Högerklicka i utforskarfönstret och välj Ny > Ny linjär kontrollkod.
    • Klicka på ikonen i_new control code i verktygsfältet.

    Dialogrutan Linjär kontrollkod visas.

    Obs! I Alternativ för linjekontrollkoder finns utförliga beskrivningar av alla tillgängliga alternativ i dialogrutan Linjär kontrollkod.

  2. Ange en identifierare för koden i rutan Namn.
  3. Ange en förkortning för koden i rutan Kod.
  4. Välj en åtgärd som ska utföras av koden i listan Alla åtgärder. Rutan Vald åtgärd ovanför den visar information om hur koden ändrar ett objekt.
  5. Klicka på OK.

Så här redigerar du en befintlig linjekontrollkod:

  1. Markera den kod du vill redigera i fönstret Utforskaren. Egenskaper för linjär kontrollkod visas i huvudfönstret.
  2. Klicka i rutorna Namn eller Kod och redigera efter behov.

    Obs! Du kan inte ändra åtgärd för en befintlig linjekontroll.

  3. Tryck på TAB eller välj ett annat objekt i fönstret Utforskaren för att godkänna ändringen.

Närliggande information

Arbeta med linjekontrollkoder

Alternativ för linjekontrollkoder


Alternativ för linjekontrollkoder

Använd de här alternativen för att ändra kontrollkoder och skapa nya. De finns i dialogrutan Ny linjär kontrollkod.

Alternativ

Namn

Ange en identifierare för kontrollkoden.

Kod

Ange en förkortning för linjekontrollkoden som ska användas i fältet.

Vald åtgärd

Här visas information om hur den markerade kontrollkoden ändrar ett objekt.

Alla åtgärder

Linjestart

Välj den här åtgärden för att starta en ny sammankopplingssekvens av linjer. Den tidigare sammankopplingssekvensen med samma kod avslutas.

Använd det här för att förhindra att punkten sammankopplas med föregående punkt med samma kod, samt när du vill starta en ny sammankopplingssekvens.

I vissa program behövs ingen kontrollkod för att starta en ny linje om linjeobjekt med samma namn sammankopplas automatiskt.

Obs! Du kan använda Linjestart och få liknande resultat som med Linjeslut.

Linjeslut

Välj den här åtgärden för att avsluta en sammankopplingssekvens av linjer.

Använd det här när du vill förhindra att en linje dras mellan punkten med Linjeslut-kontrollkoden och nästa punkt med samma objektkod.

Ansluter till punkt

Välj den här åtgärden om du vill sammankoppla en linjesekvens med ett visst punkt-ID.

Ignorera koppling

Välj den här åtgärden om du vill ignorera en sammankoppling.

Ansluter mot punkt

Välj den här åtgärden om du vill ansluta mot den första punkten i en sekvens med samma objektkod. Det krävs minst tre punkter. Punkterna måste ha samma objektkod och objektkoden för den sista punkten måste följas av Stäng-kontrollkoden.

Använd det här för att stänga ett objekt när ett nytt startats eller om objektet har avslutats.

Om det har definierats ett linjeformat för den gemensamma objektkod som användes, dras stängningen med det definierade linjeformatet. Om inget linjeformat har definierats dras linjen i standardlinjeformatet för det aktuella lagret.

Tips! Ange standardlinjeformatet för lager först.

Starta bågtangent

Välj den här åtgärden för att starta en tangentiell båge. Det krävs punkter som definierar ingångstangenten. Azimuten mellan punkten med startbågekontrollkoden och den föregående punkten med samma objektkod definierar riktningen på ingångstangenten.

En båge kan skapas i följande situationer:

  • En båge som startas och avslutas tangentiellt där det finns punkter som definierar riktningarna för ingångs- och utgångstangenten. Det innebär att det krävs fyra punkter för en fullständigt tangentiell båge. Om de radier som beräknas från de två tangentpunkterna inte är exakt likvärdiga, lägger systemet automatiskt till en ny punkt och förkortar tangentiella linjesegment för att få två rättvisande tangentpunkter.
  • En båge som startas tangentiellt och avslutas icke-tangentiellt med en punkt som definierar riktningen för ingångstangenten. Systemet använder den kända tangentpunkten och tangentriktningen tillsammans med bågens slutpunkt för att beräkna bågens mittpunkt och lägga till bågen.
  • En båge som startas icke-tangentiellt, en eller flera punkter som fästs på bågen och som avslutas icke-tangentiellt. Systemet använder punkterna som fästs längs bågen för att beräkna mittpunkten för den lämpligaste bågen genom punkterna och lägger sedan till bågen. Om tre punkter används passerar bågen via mittpunkten.

Avslutar tangentbåge

Välj den här åtgärden för att avsluta en tangentiell båge. Det krävs punkter som definierar utgångstangenten. Azimuten mellan punkten med slutbågekontrollkoden och nästa punkt med samma objektkod definierar riktningen på utgångstangenten.

När de här kontrollkoderna används fastställs mittpunkten för bågen genom beräkning med hjälp av tillgängliga data.

Startar icke-tangentiell båge

Välj den här åtgärden för att starta en icke-tangentiell båge. Det krävs ingen tidigare punkt med samma objektkod.

En icke-tangentiell båge kräver tre eller fler punkter (ny båge-punkt, slut vid båge-punkt och en eller fler punkter mellan dem som definierar bågen). Punkterna måste ha samma objektkod.

Obs! Om det inte finns några punkter med samma objektkod mellan Ny båge-punkten och Slut vid båge-punkten, ritas bågen som en tangentiell båge där mittpunkten är den centrala punkten på linjen mellan de två punkterna.

Avslutar icke-tangentiell båge

Välj den här åtgärden för att avsluta en icke-tangentiell båge. Det krävs ingen nästkommande punkt med samma objektkod för att avsluta bågen på det här sättet.

Detta avslutar den icke-tangentiella bågen som startats med den föregående nya bågkontrollkoden. En båge definieras av tre punkter. När dessa kontrollkoder används ritas en kurva med optimal passning mellan punkterna. Mittpunkten fastställs sedan från kurvan.

Närliggande information

Arbeta med linjekontrollkoder

Skapa och redigera linjekontrollkoder


Arbeta med objektdefinitions- eller linjekontrollgrupper

I vissa fältenheter kan du gruppera en uppsättning objektdefinitions- och linjekontrollkoder så att de motsvarar knappar på enheten. Du kan skapa flera grupper där fältpersonal kan välja den grupp de behöver för ett visst jobb.

Närliggande information

Skapa och redigera objektdefinitions- och linjekontrollgrupper

Gruppalternativ


Skapa och redigera objektdefinitions- och linjekontrollgrupper

Så här skapar du en grupp objektdefinitioner och linjekontrollkoder:

  1. I fönstret Utforskaren klickar du på filen där den nya gruppen ska läggas till.
  2. Gör något av följande:
    • Välj Redigera > Ny > Ny grupp.
    • Klicka på ikonen [image] i verktygsfältet.

    Fönstret Gruppegenskaper visas och en ny gruppikon läggs till i fönstret Utforskaren.

    Obs! I Gruppalternativ finns utförliga beskrivningar av alla tillgängliga alternativ i fönstret Gruppegenskaper.

  3. Ange värden i rutorna Namn och Beskrivning.
  4. Välj en objektdefinitionskod eller linjekontrollkod i listan Alla koder.
  5. Klicka på vänsterpilen för att flytta den vänstra koden till listan Koder i grupp.

    Obs! Du kan också dubbelklicka på koderna i listan Alla koder för att flytta dem till gruppen.

    Du kan slå ihop två eller fler objektdefinitionskoder och/eller linjekontrollkoder så att det går lättare att tilldela dem objekt i fälten, enligt nästa steg.

  6. Så här slår du samman objektdefinitionskoder och/eller linjekontrollkoder:
    1. Markera en kod som du vill sammanfoga i listan Koder i grupp.
    2. I listan Alla koder väljer du en kod som du vill sammanfoga med den markerade koden i listan Koder i grupp.
    3. Klicka på ikonen [image]. Den andra koden du markerade kombineras med koden i listan Koder i grupp.
    4. Upprepa stegen a till c för att sammanfoga fler koder.
  7. Upprepa proceduren om det behövs för att lägga till fler koder i gruppen. Det totala antalet koder du kan inkludera visas ovanför listan Koder i grupp.

    Obs! Objektkoder kan placeras i mer än en grupp. Du kan också använda en objektkod mer än en gång i en grupp, så länge den sammanfogas med en annan kontrollkod.

  8. Du kan klicka på upp- och nedpilarna för att sortera koderna i gruppen.
  9. När du är klar klickar du på ett annat objekt i fönstret Utforskaren för att spara ändringarna.

Så här redigerar du en befintlig grupp:

  1. I fönstret Utforskaren klickar du på namnet på gruppen som du vill redigera. Fönstret Gruppegenskaper visas.
  2. Ändra namn och beskrivning om det behövs.
  3. Gör eventuella ändringar i listan Koder i grupp enligt beskrivningen nedan.
  4. När du är klar klickar du på ett annat objekt i fönstret Utforskaren för att spara ändringarna.

Närliggande information

Arbeta med objektdefinitions- eller linjekontrollgrupper

Gruppalternativ


Gruppalternativ

Använd de här alternativen när du skapar en ny grupp objektdefinitions- och linjekontrollkoder som ska användas i en fältenhet. De finns i fönstret Gruppegenskaper.

Alternativ

Namn

Ange en identifierare för gruppen.

Beskrivning

Ange mer information om gruppen.

Koder

Koder i grupp – Visar alla objektdefinitions- och linjekontrollkoder du lagt till i gruppen hittills så att du kan välja dem och ta bort eller arrangera om dem.

Alla koder – Visar alla objektdefinitions- och linjekontrollkoder i den aktuella filen så att du kan välja en kod och lägga till den i gruppen.

Sortera i alfabetisk ordning – Markera den här rutan om du vill sortera Koder i grupp-listan i alfabetisk ordning i fältenheten.

Närliggande information

Arbeta med objektdefinitions- eller linjekontrollgrupper

Skapa och redigera objektdefinitions- och linjekontrollgrupper


Exportera och ladda upp objektdefinitionsdata

Du kan "ladda upp" objektdefinitionsdata direkt till en fältenhet, eller "exportera" objektdefinitionsdata till en fil. Alla objektdefinitioner exporteras oavsett om de innehåller attribut eller inte, men linjekontrollkoder exporteras inte. Objektdefinitioner exporteras som punktobjekt.

Så här laddar du upp objektdefinitionsdata till en fältenhet:

  1. Se till att filen som du exporterar data från, eller en av dess nästlade noder, är markerad i fönstret Utforskaren.
  2. Anslut fältenheten till datorn.
  3. Klicka på Arkiv > Exportera. Dialogrutan Exportera fil visas.
  4. Klicka på Ladda upp till en enhet.
  5. Välj en fältenhet i listan Enhetsnamn.
  6. Välj ett program i listan Program.
  7. Klicka på OK.

Så här exporterar du objektdefinitionsdata till en fil:

  1. Se till att filen som du exporterar data från, eller en av dess nästlade noder, är markerad i fönstret Utforskaren.
  2. Klicka på Arkiv > Exportera. Dialogrutan Exportera fil visas.
  3. Klicka på Exportera till fil.
  4. Välj format för den exporterade filen i listan Filtyp.
  5. Gör något av följande:
    • Ange filsökväg och namn i rutan Målfil.
    • Klicka på knappen [image] så visas dialogrutan Spara som. I dialogrutan Spara som anger du namn på filen, väljer filtyp och plats där filen ska sparas. Klicka sedan på OK. Sökväg och filnamn visas i rutan Målfil.
  6. I dialogrutan Exportera fil klickar du på OK.

Närliggande information

Export- och uppladdningsalternativ

Import- och exportformat

Exportera DDF-filer (Data Dictionary)


Export- och uppladdningsalternativ

Använd de här alternativen för att skicka data till ett annat program eller fältenhet. De finns i dialogrutan Exportera fil.

Alternativ
Källfil | Välj eller ange en sökväg till filen du vill exportera eller klicka på ikonen [image] för att navigera till en annan katalog.
Exportera till fil | Välj det här alternativet om du vill exportera källfilen till en annan filplats på datorn eller nätverket.
Ladda upp till en enhet | Välj det här alternativet om du vill ladda upp filen till en fältenhet.
Filtyp | Välj i vilket filformat du vill exportera.
Målfil | Välj eller ange en katalog som filen ska exporteras till eller klicka på ikonen [image] för att navigera till en annan katalog.
Enhetsnamn | Visar namnet på den fältenhet du har anslutit.
Program | Välj den programvara som filen är avsedd för.

Närliggande information

Exportera och ladda upp objektdefinitionsdata

Import- och exportformat

Exportera DDF-filer (Data Dictionary)


Exportera DDF-filer (Data Dictionary)

Om du använder programmet Trimble® GPS Pathfinder kan du exportera DDF-filer från datalexikonredigeraren. Om du exporterar objektsdata i det här formatet slipper du återskapa attribut i datalexikonredigeraren.

  • Alla objektdefinitioner i filen exporteras till datalexikonfilen, oavsett vad som är valt. Objektdefinitioner exporteras oavsett om de innehåller attribut eller inte.
  • Objektdefinitioner exporteras som punktobjekt. Du kan ändra objekttyp till linje i datalexikonredigeraren.
  • DDF-filer innehåller bara objektets namn, kod och attribut. Ingen annan objektinformation, till exempel lager, linjeformat, grupper eller kontrollkoder exporteras.

Närliggande information

Exportera och ladda upp objektdefinitionsdata

Export- och uppladdningsalternativ

Import- och exportformat


Visa rapporter

Du kan visa flera olika rapporter. Om du vill visa en rapport väljer du Arkiv > Rapport och den rapport du vill granska. Rapporten visas i ett separat webbläsarfönster.


Juridiska tillkännagivanden


Huvudkontor

Trimble Navigation Limited
Engineering and Construction
5475 Kellenburger Road
Dayton, Ohio 45424-1099
USA

Telefon: +1-937-233-8921
Avgiftsfritt: +1-800-538-7800
Fax: +1-937-233-9441

www.trimble.com

Copyright och varumärkesskydd

© 2006-2011, Trimble Navigation Limited. Alla rättigheter förbehålles.

Glob- och triangelsymbolen och Trimble är varumärken som tillhör Trimble Navigation Limited, skyddade genom registrering vid United States Patent and Trademark Office och i andra länder. Digital Fieldbook och Trimble Geomatics Office är varumärken som tillhör Trimble Navigation Limited. Interlock och Recon är varumärken som tillhör Tripod Data Systems, Inc. som är ett helägt dotterbolag till Trimble Navigation Limited. Microsoft och Windows är antingen registrerade varumärken eller varumärken som tillhör Microsoft Corporation i USA och/eller andra länder. Alla övriga varumärken tillhör sina respektive ägare.

Versionsinformation

Det här är hjälpen för version 2.08 av programvaran Trimble® Feature Definition Manager.